SSTableSplitter.SplitController (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.compaction

## Class SSTableSplitter.SplitController

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionController
  - - org.apache.cassandra.db.compaction.SSTableSplitter.SplitController

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Enclosing class:
    SSTableSplitter

      public static class SSTableSplitter.SplitController
      extends CompactionController

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.compaction.CompactionController

      `cfs, gcBefore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitController(ColumnFamilyStore cfs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.function.Predicate<java.lang.Long>` | `getPurgeEvaluator(DecoratedKey key)`

    - ### Methods inherited from class org.apache.cassandra.db.compaction.CompactionController

      `close, compactingRepaired, getColumnFamily, getFullyExpiredSSTables, getFullyExpiredSSTables, getFullyExpiredSSTables, getKeyspace, ignoreOverlaps, maybeRefreshOverlaps, shadowSources`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitController

          public SplitController(ColumnFamilyStore cfs)

  - ### Method Detail

    - #### getPurgeEvaluator

          public java.util.function.Predicate<java.lang.Long> getPurgeEvaluator(DecoratedKey key)

      Overrides:
        `getPurgeEvaluator` in class `CompactionController`
      Returns:
        a predicate for whether tombstones marked for deletion at the given time for the given partition are purgeable; we calculate this by checking whether the deletion time is less than the min timestamp of all SSTables containing his partition and not participating in the compaction. This means there isn't any data in those sstables that might still need to be suppressed by a tombstone at this timestamp.

Copyright © 2018 The Apache Software Foundation